Server errors in reviewing applications
Closed, ResolvedPublic

Description

Currently getting server errors (500) for any of the following tasks while reviewing applications:
-View any application of any status for OpenEdition
-Filter application lists by user
-Filter application lists by partner

I'm getting the same error if I try and load the Terms of Use -Jake

ThatAndromeda closed this task as Resolved.Jan 12 2017, 3:09 PM

This is several bugs, but I believe I have now deployed code which addresses all of them (and added some regression tests :).

Nikkimaria reopened this task as Open.Jan 31 2017, 11:33 PM

Not quite, still getting server errors in some reviewing tasks, such as marking an application as "not approved".

I am unable to replicate this error. Can you give me specific steps (which URL, which application)?

  1. Go to the list of Pending Review applications (https://twl-test.wmflabs.org/applications/list/)
  2. Click through to an application (eg. https://twl-test.wmflabs.org/applications/evaluate/54/)
  3. Change status dropdown to "Not Approved" and click "Set application status" button
  4. Server Error 500

One of the coordinators is also reporting server errors, I've asked him to comment here.

Thanks. I have figured this one out - it was SUPER obscure - but I have written a fix (not yet deployed). If the coordinator has seen server errors that come via a different pathway, those may be a different error.

ThatAndromeda closed this task as Resolved.Feb 2 2017, 5:48 PM

OK; it's now deployed. I'm going to close this as I have fixed the error you were referencing; if the coordinator has a different error we can reopen it.

I am the coordinator that Nikki referred to. It seems the two errors I have been experiencing for the last several weeks have been resolved. I was able ot change th status of applicants to both "not approved" and "sent data to partner", the two errors I encountered.

Thanks